<template>
  <page-layout :cover="cover" coverColor="bg-gray-200">
    <!-- Page Content Start -->
    <lazy-hydrate ssr-only>
      <projecte-tecnic-intro v-bind="content.intro" />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <projecte-tecnic-espai v-bind="content.building" />
    </lazy-hydrate>

    <lazy-hydrate ssr-only>
      <projecte-tecnic-en-dades v-bind="content.core_data" />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <projecte-tecnic-destacats v-bind="content.features" />
    </lazy-hydrate>
    <!-- Page Content End -->
  </page-layout>
</template>

<script>
import PageSections from '~/components/projecte';

export default {
  name: 'ProjecteTecnic',
  components: PageSections,
  inject: ['site'],
  computed: {
    cover() {
      return this.$page.content.cover;
    },
    content() {
      const { intro, building, features, core_data } = this.$page.content;

      return {
        intro,
        building,
        features,
        core_data,
      };
    },
  },
  metaInfo() {
    const { siteName, siteDomain, twitter } = this.site.settings;
    const { title, description } = this.$page.content.meta;
    const { cover_image } = this.cover;

    return {
      title,
      meta: [
        {
          key: 'description',
          name: 'description',
          content: description,
        },
        {
          name: 'twitter:card',
          content: 'summary_large_image',
        },
        {
          name: 'twitter:site',
          content: `@${twitter}`,
        },
        {
          name: 'twitter:creator',
          content: `@${twitter}`,
        },
        {
          name: 'twitter:title',
          content: `${siteName} - ${title}`,
        },
        {
          name: 'twitter:description',
          content: description,
        },
        {
          name: 'twitter:image',
          content: `https://${siteDomain}${cover_image.image.src}`,
        },
        {
          name: 'twitter:image:alt',
          content: cover_image.description,
        },
        {
          name: 'og:url',
          content: `https://${siteDomain}${this.$route.path}`,
        },
        {
          name: 'og:type',
          content: 'website',
        },
        {
          name: 'og:title',
          content: `${siteName} - ${title}`,
        },
        {
          name: 'og:image',
          content: `https://${siteDomain}${cover_image.image.src}`,
        },
        {
          name: 'og:image:alt',
          content: cover_image.description,
        },
        {
          name: 'og:description',
          content: description,
        },
        {
          name: 'og:site_name',
          content: siteName,
        },
        {
          name: 'og:locale',
          content: 'ca_ES',
        },
      ],
    };
  },
};
</script>

<page-query>
query ProjectePageContent {
  content: projectePageContent(path: "/content/projecte") {
    meta {
      title
      description
    }
    cover {
      headline
      cover_image {
        image
        description
      }
    }
    intro {
      heading
      text
      deadline
    }
    building {
      heading
      text
      items {
        title
        text
      }
      downloads {
        label
        asset
      }
      featured_image {
        image
        description
      }
    }
    features {
      heading
      items {
        title
        subtitle
        text
        item_image {
          image
          description
        }
      }
    }
    core_data {
      background_image {
        image
        description
      }
      items {
        id
        data_key
        data_value
        icon
      }
    }
  }
}
</page-query>

